Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class SphereNetwork

    java.lang.Object
      rice.pastry.direct.BasicNetworkSimulator
          rice.pastry.direct.SphereNetwork

All Implemented Interfaces:
  NetworkSimulator

    public class SphereNetwork

extends BasicNetworkSimulator

Sphere network topology and idealized node life. Emulates a network of nodes that are randomly placed on a sphere. Proximity is based on euclidean distance on the sphere.

Version:
  $Id: SphereNetwork.java 3507 2006-12-21 13:18:37Z jeffh $
Author:
  Y. Charlie Hu, Rongmei Zhang

Field Summary

Fields inherited from class rice.pastry.direct.BasicNetworkSimulator
`logger, manager, maxDiameter, MIN_DELAY, minDelay, random`

Constructor Summary
`SphereNetwork(Environment env)` Constructor.

Method Summary
`NodeRecord` | `generateNodeRecord()` Generates a random node record
`static void` | `main(java.lang.String[] argz)`
`void` | `test()`

Methods inherited from class rice.pastry.direct.BasicNetworkSimulator
`addSimulatorListener, deliverMessage, deliverMessage, deliverMessage, deliverMessageFixedRate, destroy, enqueueDelivery, getClosest, getEnvironment, getTestRecord, isAlive, networkDelay, notifySimulatorListeners, proximity, registerNode, removeNode, removeSimulatorListener, setFullSpeed, setMaxSpeed, setTestRecord, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SphereNetwork

    public SphereNetwork(Environment env)

  Constructor.

Method Detail

### generateNodeRecord

    public NodeRecord generateNodeRecord()

  Description copied from interface: `NetworkSimulator`
  Generates a random node record

  Returns:

### test

    public void test()

### main

    public static void main(java.lang.String[] argz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.